## org.eclipse.xsd
Interface XSDFixedFacet

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDConstrainingFacet, XSDFacet

All Known Subinterfaces:
  XSDFractionDigitsFacet, XSDLengthFacet, XSDMaxExclusiveFacet, XSDMaxFacet, XSDMaxInclusiveFacet, XSDMaxLengthFacet, XSDMinExclusiveFacet, XSDMinFacet, XSDMinInclusiveFacet, XSDMinLengthFacet, XSDTotalDigitsFacet, XSDWhiteSpaceFacet

All Known Implementing Classes:
  XSDFixedFacetImpl, XSDFractionDigitsFacetImpl, XSDLengthFacetImpl, XSDMaxExclusiveFacetImpl, XSDMaxFacetImpl, XSDMaxInclusiveFacetImpl, XSDMaxLengthFacetImpl, XSDMinExclusiveFacetImpl, XSDMinFacetImpl, XSDMinInclusiveFacetImpl, XSDMinLengthFacetImpl, XSDTotalDigitsFacetImpl, XSDWhiteSpaceFacetImpl

    public interface XSDFixedFacet

extends XSDConstrainingFacet

A representation of the model object 'Fixed Facet'.

The following features are supported:

- `Fixed`

See Also:
  `XSDPackage.getXSDFixedFacet()`

Method Summary
`boolean` `isFixed()` Returns the value of the 'Fixed' attribute
`boolean` `isSetFixed()` Returns whether the value of the '`Fixed`' attribute is set
`void` `setFixed(boolean value)` Sets the value of the '`Fixed`' attribute
`void` `unsetFixed()` Unsets the value of the '`Fixed`' attribute

Methods inherited from interface org.eclipse.xsd.XSDConstrainingFacet
`isConstraintSatisfied`

Methods inherited from interface org.eclipse.xsd.XSDFacet
`getAnnotation, getEffectiveValue, getFacetName, getLexicalValue, getSimpleTypeDefinition, setAnnotation, setLexicalValue`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isFixed

    boolean isFixed()

  Returns the value of the 'Fixed' attribute.

  This represents the fractionDigitsFacet fixed, lengthFacet fixed, maxExclusiveFacet fixed, maxInclusiveFacet fixed, maxLengthFacet fixed, minExclusiveFacet fixed, minInclusiveFacet fixed, minLengthFacet fixed, totalDigitsFacet fixed, whiteSpaceFacet fixed infoset property.

  Returns:
    the value of the 'Fixed' attribute.
  See Also:
    `isSetFixed()`, `unsetFixed()`, `setFixed(boolean)`, `XSDPackage.getXSDFixedFacet_Fixed()`

### setFixed

    void setFixed(boolean value)

  Sets the value of the '`Fixed`' attribute.

  Parameters:
    `value` - the new value of the 'Fixed' attribute.
  See Also:
    `isSetFixed()`, `unsetFixed()`, `isFixed()`

### unsetFixed

    void unsetFixed()

  Unsets the value of the '`Fixed`' attribute.

  See Also:
    `isSetFixed()`, `isFixed()`, `setFixed(boolean)`

### isSetFixed

    boolean isSetFixed()

  Returns whether the value of the '`Fixed`' attribute is set.

  Returns:
    whether the value of the 'Fixed' attribute is set.
  See Also:
    `unsetFixed()`, `isFixed()`, `setFixed(boolean)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.